Next: TRIM, Previous: TRANSFER, Up: Intrinsic Procedures [Contents][Index]

### 8.248 `TRANSPOSE` — Transpose an array of rank two

Description:

  Transpose an array of rank two. Element (i, j) of the result has the value `MATRIX(j, i)`, for all i, j.

Standard:

  Fortran 95 and later

Class:

  Transformational function

Syntax:

  `RESULT = TRANSPOSE(MATRIX)`

Arguments:

  MATRIX | Shall be an array of any type and have a rank of two.

Return value:

  The result has the same type as MATRIX, and has shape `(/ m, n /)` if MATRIX has shape `(/ n, m /)`.